Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1146961 - Review Request: libsysstat - Library to query system info and statistics
Summary: Review Request: libsysstat - Library to query system info and statistics
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-09-26 12:44 UTC by Eugene A. Pivnev
Modified: 2014-11-14 20:23 UTC (History)
2 users (show)

Fixed In Version: libsysstat-0.2.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 08:36:17 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Florian "der-flo" Lehner 2014-09-26 15:29:59 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
x ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. 
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/cmake
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7703521
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libsysstat-0.1.0-1.fc22.x86_64.rpm
          libsysstat-devel-0.1.0-1.fc22.x86_64.rpm
          libsysstat-0.1.0-1.fc22.src.rpm
libsysstat-devel.x86_64: W: only-non-binary-in-usr-lib
libsysstat-devel.x86_64: W: no-documentation
libsysstat.src:2: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 2)
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libsysstat libsysstat-devel
libsysstat.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsysstat.so.0.1.0 /lib64/libQtGui.so.4
libsysstat.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsysstat.so.0.1.0 /lib64/libm.so.6
libsysstat.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsysstat.so.0.1.0 /lib64/libgcc_s.so.1
libsysstat-devel.x86_64: W: only-non-binary-in-usr-lib
libsysstat-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
libsysstat (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

libsysstat-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libsysstat(x86-64)
    libsysstat.so.0()(64bit)
    pkgconfig



Provides
--------
libsysstat:
    libsysstat
    libsysstat(x86-64)
    libsysstat.so.0()(64bit)

libsysstat-devel:
    libsysstat-devel
    libsysstat-devel(x86-64)
    pkgconfig(sysstat)



Source checksums
----------------
https://github.com/lxde/libsysstat/archive/0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : c1a0fb6e42480af0f9afbb9fbc0df97eac5058655e158d740f84f64d950d36fe
  CHECKSUM(SHA256) upstream package : c1a0fb6e42480af0f9afbb9fbc0df97eac5058655e158d740f84f64d950d36fe


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1146961
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 2 Eugene A. Pivnev 2014-09-26 16:43:18 UTC
New Package SCM Request
=======================
Package Name: libsysstat
Short Description: Library used to query system info and statistics
Owners: tieugene
Branches: f19 f20 f21 el6 epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-09-26 17:10:48 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-10-06 06:13:56 UTC
libsysstat-0.1.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libsysstat-0.1.0-1.fc21

Comment 5 Fedora Update System 2014-10-06 06:31:22 UTC
libsysstat-0.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libsysstat-0.1.0-1.fc20

Comment 6 Fedora Update System 2014-10-06 06:41:16 UTC
libsysstat-0.1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libsysstat-0.1.0-1.fc19

Comment 7 Fedora Update System 2014-10-06 06:49:34 UTC
libsysstat-0.1.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/libsysstat-0.1.0-1.el7

Comment 8 Fedora Update System 2014-10-06 06:58:11 UTC
libsysstat-0.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libsysstat-0.1.0-1.el6

Comment 9 Fedora Update System 2014-10-08 00:41:57 UTC
libsysstat-0.1.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2014-10-17 08:36:17 UTC
libsysstat-0.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-10-17 08:41:37 UTC
libsysstat-0.1.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-10-24 16:53:14 UTC
libsysstat-0.2.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/libsysstat-0.2.0-1.el7

Comment 13 Fedora Update System 2014-10-28 11:06:49 UTC
libsysstat-0.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2014-11-01 17:14:16 UTC
libsysstat-0.1.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Fedora Update System 2014-11-14 20:23:22 UTC
libsysstat-0.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.